
/*------------------------ Font resize  -----------------------------*/

var textResize = {

	fontmax: 22,
	fontmin: 14,
	fontdefault: 18,

	init: function () {

		var fontsize = $.cookie('font_size');
		if (fontsize) { textResize.fontResize(fontsize); }

		$('#decrease').click(function () {
			fontsize = $(document.body).css('font-size').slice(0, -2);
			fontsize--;
			textResize.fontResize(fontsize);
		});

		$('#increase').click(function () {
			fontsize = $(document.body).css('font-size').slice(0, -2);
			fontsize++;
			textResize.fontResize(fontsize);
		});

		$('#reset').click(function () {
			textResize.fontResize(textResize.fontdefault);
		});

	},

	fontResize: function (fontsize) {
		if (fontsize <= textResize.fontmax && fontsize >= textResize.fontmin) {
			$(document.body).css('font-size', fontsize + 'px');
			textResize.setWidthToFont();
			$.cookie("font_size", fontsize, { expires: 10 });
			$('.limit_size').each(function () { $(this).removeClass('limit_size'); });
			if (fontsize == textResize.fontdefault) { $('#reset').addClass('limit_size'); }
			if (fontsize == textResize.fontmin) { $('#decrease').addClass('limit_size'); }
			if (fontsize == textResize.fontmax) { $('#increase').addClass('limit_size'); }
		}
	},

	setWidthToFont: function () {
		fontsize = $(document.body).css('font-size').slice(0, -2);
		if (fontsize <= textResize.fontmax && fontsize >= textResize.fontmin) {
			$('#wrapper').css('width', '');
			div_width = $('#wrapper').css('width').slice(0, -2);
			if (div_width >= 940 && fontsize > textResize.fontdefault) {
				div_width = 940 + 30 * (fontsize - textResize.fontdefault);
				$('#wrapper').css('width', div_width + 'px');
			}
		}
	}
};

